# open this when upstream fix tests timeout
%bcond_with    tests

Summary:       The Xapian Probabilistic Information Retrieval Library
Name:          xapian-core
Version:       1.4.24
Release:       3%{?dist}
License:       GPLv2+
URL:           https://www.xapian.org/
Source0:       https://www.oligarchy.co.uk/xapian/%{version}/%{name}-%{version}.tar.xz

BuildRequires: gcc gcc-c++ libuuid-devel make zlib-devel valgrind-devel
Requires:      %{name}-libs = %{version}-%{release}

%description
Xapian is an Open Source Probabilistic Information Retrieval Library. It offers a highly adaptable
toolkit that allows developers to easily add advanced indexing and search facilities to applications

%package libs
Summary:       Xapian search engine libraries

%description libs
Xapian is an Open Source Probabilistic Information Retrieval framework. It offers a highly adaptable
toolkit that allows developers to easily add advanced indexing and search facilities to
applications. This package provides the libraries for applications using Xapian functionality

%package devel
Summary:       Files needed for building packages which use Xapian
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-libs = %{version}-%{release} libuuid-devel

%description devel
Xapian is an Open Source Probabilistic Information Retrieval framework. It offers a highly adaptable
toolkit that allows developers to easily add advanced indexing and search facilities to
applications. This package provides the files needed for building packages which use Xapian

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure

%{make_build}

%install
%{make_install}

find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_datadir}/doc/%{name}

%check
%if %{with tests}
make check %{?_smp_mflags}
%endif

%files
%doc AUTHORS NEWS README
%{_bindir}/xapian*
%{_bindir}/quest
%{_bindir}/copydatabase
%{_bindir}/simpleindex
%{_bindir}/simplesearch
%{_bindir}/simpleexpand
%{_datadir}/xapian-core/
%{_mandir}/man1/xapian*
%{_mandir}/man1/quest.1*
%{_mandir}/man1/copydatabase.1*

%files libs
%license COPYING
%{_libdir}/libxapian.so.*

%files devel
%doc HACKING PLATFORMS docs/apidoc
%{_datadir}/aclocal/xapian.m4
%{_bindir}/xapian-config
%{_includedir}/xapian
%{_includedir}/xapian.h
%{_libdir}/libxapian.so
%{_libdir}/cmake/xapian
%{_libdir}/pkgconfig/xapian-core.pc
%{_mandir}/man1/xapian-config.1*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.24-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.24-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 1.4.24-1
- Upgrade to version 1.4.24

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.18-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.18-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.18-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 9 2023 Shuo Wang <abushwang@tencent.com> - 1.4.18-1
- initial build
